Bug 1331455 - hawaii qt platformtheme plugin doesn't set FixedFont
Summary: hawaii qt platformtheme plugin doesn't set FixedFont
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawaii-workspace
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pier Luigi Fiorini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 14:42 UTC by Rex Dieter
Modified: 2016-05-24 01:25 UTC (History)
2 users (show)

Fixed In Version: hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:44:24 UTC


Attachments (Terms of Use)

Description Rex Dieter 2016-04-28 14:42:12 UTC
See also bug #1330150 , the symptom is that running konsole on hawaii ends up using DejaVu Sans.

I suspect the cause is similar to lxqt's bug #1330150 where the platform plugin fails to set a valid FixedFont

Comment 1 Pier Luigi Fiorini 2016-04-28 14:55:13 UTC
Link to upstream bug: https://github.com/hawaii-desktop/hawaii-workspace/issues/7

Thanks for the report.

Comment 2 Pier Luigi Fiorini 2016-04-30 10:46:05 UTC
Fix is already on rawhide.

At this point I think I'm going send to Bodhi the new hawaii-workspace package for both F23 and F24 along with the other Hawaii updates.

Should be done over the weekend.

Comment 3 Fedora Update System 2016-05-01 03:28:03 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 greenisland-0.7.90-1.20160420gitf29505146ed29.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 4 Fedora Update System 2016-05-01 03:28:24 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 greenisland-0.7.90-1.20160420gitf29505146ed29.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 5 Fedora Update System 2016-05-01 17:54:39 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 6 Fedora Update System 2016-05-02 00:52:41 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 7 Fedora Update System 2016-05-07 11:44:16 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-24 01:25:37 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.